Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.ka2ddo.gps
Enum GpsFixQuality

    java.lang.Object
      java.lang.Enum<GpsFixQuality>
          org.ka2ddo.gps.GpsFixQuality

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<GpsFixQuality>

    public enum GpsFixQuality

extends java.lang.Enum<GpsFixQuality>

This enum defines the fix quality (as used in the NMEA 0183 V3.01 $GPGGA sentence).

Enum Constant Summary
`DGPS` Differential GPS fix.
`DR` Estimated dead-reckoned fix.
`FLOAT_RTK` float Real-Time Kinematic fix.
`GPS_SPS` Standard GPS fix.
`INVALID` No fix.
`MANUAL` Manual input.
`PPS` Providing only time reference.
`RTK` Real-time kinematic fix.
`SIM` Simulation.

Method Summary
`boolean` | `isValid()`
`static GpsFixQuality[]` | `nonClonedValues()` Get a non-cloned copy of the values() array, thereby saving CPU time and transient heap memory.
`static GpsFixQuality` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static GpsFixQuality[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INVALID

    public static final GpsFixQuality INVALID

  No fix.

### GPS_SPS

    public static final GpsFixQuality GPS_SPS

  Standard GPS fix.

### DGPS

    public static final GpsFixQuality DGPS

  Differential GPS fix.

### PPS

    public static final GpsFixQuality PPS

  Providing only time reference.

### RTK

    public static final GpsFixQuality RTK

  Real-time kinematic fix.

### FLOAT_RTK

    public static final GpsFixQuality FLOAT_RTK

  float Real-Time Kinematic fix.

### DR

    public static final GpsFixQuality DR

  Estimated dead-reckoned fix.

### MANUAL

    public static final GpsFixQuality MANUAL

  Manual input.

### SIM

    public static final GpsFixQuality SIM

  Simulation.

Method Detail

### values

    public static GpsFixQuality[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (GpsFixQuality c : GpsFixQuality.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static GpsFixQuality valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### isValid

    public final boolean isValid()

### nonClonedValues

    public static GpsFixQuality[] nonClonedValues()

  Get a non-cloned copy of the values() array, thereby saving CPU time and transient heap memory.

  Returns:
    array of defined enums for this enum class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD